%define		debug_package %{nil}
%define		PERL_LIB_DIR /usr/share/perl5
%define		pgmajorversion	9.5

Summary:	pgaudit_analyze - PostgreSQL Audit Log Analyzer (extends pgaudit)
Name:		pgaudit_analyze
Version:	%{pgaudit_analyze_specfile_version}
Release:	%{pgaudit_analyze_specfile_release}%{?dist}
Provides:	pgaudit_analyze = %{version}-%{release}
URL:		http://pgaudit.org/
License:	PostgreSQL
Requires:	postgresql >= %{pgmajorversion}, perl, perl-Time-HiRes, perl-DBD-Pg, perl-IPC-System-Simple
Source:		pgaudit_analyze.tar.gz
Packager:	Crunchy Packaging Team <packagers@crunchydata.com>

%description
PostgreSQL is an advanced Object-Relational database management
system. The PostgreSQL Audit extension (pgaudit) provides detailed
session and/or object audit logging via the standard PostgreSQL
logging facility. However, logs are not the ideal place to store
audit information. The PostgreSQL Audit Log Analyzer (pgaudit_analyze)
reads audit entries from the PostgreSQL logs and loads them into a
database schema to aid in analysis and auditing.

%prep
# Copies sources and patches to BUILD
echo "=========="
echo "PREP PHASE"
echo "=========="
%setup -n pgaudit_analyze

%build
echo "==========="
echo "BUILD PHASE"
echo "==========="
# All items here happen inside of the directory "BUILD/pgaudit_analyze"
# pgaudit_analyze has no build dependencies

%install
echo "============="
echo "INSTALL PHASE"
echo "============="
# All items here happen inside of the directory "BUILD/pgaudit_analyze"
cd pgaudit_analyze
install -d ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 bin/pgaudit_analyze ${RPM_BUILD_ROOT}%{_bindir}
install -d ${RPM_BUILD_ROOT}%{PERL_LIB_DIR}/PgAudit
install -m 644 lib/PgAudit/* ${RPM_BUILD_ROOT}%{PERL_LIB_DIR}/PgAudit

%clean
echo "==========="
echo "CLEAN PHASE"
echo "==========="
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/pgaudit_analyze
%{PERL_LIB_DIR}/PgAudit/CSV.pm
%{PERL_LIB_DIR}/PgAudit/Wait.pm
%doc pgaudit_analyze/LICENSE
%doc pgaudit_analyze/README.md
%doc pgaudit_analyze/sql/audit.sql

%changelog
* Wed Aug 24 2016 Heath Lord <heath.lord@crunchydata.com>
 - Changing specfile to use PGXS to cleanup specfile and increase build speed
* Wed Sep 9 2015 John Harvey <john.harvey@crunchydata.com>
 - Initial version of specfile.
